#ifndef _CALIBRATEISPINDEL_H
#define _CALIBRATEISPINDEL_H

#include "MainWindow.h"


struct Calibrate {
    double	sg;
    double	plato;
    double	angle;
};


namespace Ui {
class CalibrateiSpindel;
}

class CalibrateiSpindel : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit CalibrateiSpindel(int id, QWidget *parent = 0);
    ~CalibrateiSpindel();

private slots:
    void on_quitButton_clicked();
    void on_saveButton_clicked();
    void refreshTable(void);
    void on_addButton_clicked();
    void on_deleteRow_clicked();
    void cell_Changed(int nRow, int nCol);

private:
    Ui::CalibrateiSpindel *ui;
    QString _node, _alias, _data_old, _data_new;
    QChartView *chartView;
    QChart *chart;
    QLineSeries *new_plot, *old_plot;
    int recno, oldtotal, newtotal;
    QJsonDocument data;
    bool ignoreChanges = false;
    bool textIsChanged = false;
    double Old[4], New[4];
    QList<Calibrate> oCal;
    QList<Calibrate> nCal;

    bool sort_test(const Calibrate &D1, const Calibrate &D2);
    void WindowTitle();
};

#endif
